Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.owscommon_1_1_0
Class Reference

    java.lang.Object
      org.deegree.owscommon_1_1_0.Reference

    public class Reference

extends Object

`Reference` encapsulates the reference element of ows 1.1.0

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Rutger Bezema, last edited by: $Author: mschneider $

Constructor Summary
`Reference(String hrefAttribute, String roleAttribute, String typeAttribute, Pair<String,String> identifier, List<String> abstracts, String format, List<Metadata> metadatas)`

Method Summary
`List<String>` | `getAbstracts()`
`String` | `getFormat()`
`String` | `getHrefAttribute()`
`Pair<String,String>` | `getIdentifier()`
`List<Metadata>` | `getMetadatas()`
`String` | `getRoleAttribute()`
`String` | `getTypeAttribute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reference

    public Reference(String hrefAttribute,
                     String roleAttribute,
                     String typeAttribute,
                     Pair<String,String> identifier,
                     List<String> abstracts,
                     String format,
                     List<Metadata> metadatas)

Parameters:
  `hrefAttribute` -
  `roleAttribute` -
  `typeAttribute` -
  `identifier` - a < value, codeSpace > pair
  `abstracts` -
  `format` -
  `metadatas` - a list of metadatas

Method Detail

### getHrefAttribute

    public final String getHrefAttribute()

  Returns:
    the hrefAttribute.

### getTypeAttribute

    public final String getTypeAttribute()

  Returns:
    the typeAttribute.

### getIdentifier

    public final Pair<String,String> getIdentifier()

  Returns:
    the identifier < value, codeSpace > pair, may be `null`

### getAbstracts

    public final List<String> getAbstracts()

  Returns:
    the abstracts, which may be empty but never `null`

### getFormat

    public final String getFormat()

  Returns:
    the format.

### getMetadatas

    public final List<Metadata> getMetadatas()

  Returns:
    the metadatas a list of metadatas may be empty but never `null`

### getRoleAttribute

    public final String getRoleAttribute()

  Returns:
    the roleAttribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org